> ## Documentation Index
> Fetch the complete documentation index at: https://docs.itoflow.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Read a public artifact

> Returns a public shareable dashboard artifact by slug.

Operation ID: get__artifacts_public_slug_.



## OpenAPI

````yaml /openapi/itoflow-public.openapi.json get /artifacts/public/{slug}
openapi: 3.1.0
info:
  description: >-
    All Itoflow APIs are experimental and may change without notice. Read-only
    operations marked interactive can be tried from the documentation; the
    others are reference-only.
  title: Itoflow Developer API
  version: 1.0.0
servers:
  - description: Itoflow API
    url: https://api.itoflow.ai
security: []
tags:
  - name: Account
  - name: Billing
  - name: Brokers
  - name: Chat
  - name: Connected MCP servers
  - name: GitHub
  - name: Market data
  - name: Monitors
  - name: Notifications
  - name: Portfolios
  - name: Risk runs
  - name: Sharing and data
  - name: Strategies
paths:
  /artifacts/public/{slug}:
    get:
      tags:
        - Sharing and data
      summary: Read a public artifact
      description: |-
        Returns a public shareable dashboard artifact by slug.

        Operation ID: get__artifacts_public_slug_.
      operationId: get__artifacts_public_slug_
      parameters:
        - description: Public artifact slug
          in: path
          name: slug
          required: true
          schema:
            description: Public artifact slug
            example: VufIWcgY0FlG
            pattern: ^[A-Za-z0-9_-]{12}$
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicArtifactResponse'
          description: Public artifact
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Invalid slug
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Artifact not found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Server error
      security: []
components:
  schemas:
    PublicArtifactResponse:
      properties:
        artifact:
          $ref: '#/components/schemas/PublicArtifact'
      required:
        - artifact
      type: object
    Error:
      properties:
        available:
          description: Optional available amount or value
          type: string
        billing_action:
          $ref: '#/components/schemas/BillingAction'
        code:
          description: Machine-readable error code
          type: string
        currentVersion:
          description: Current server-side version, when relevant
          type: number
        details:
          description: Optional structured error details
        error:
          description: Error type or code
          type: string
        expectedVersion:
          description: Client-provided expected version, when relevant
          type: number
        message:
          description: Human-readable error message
          type: string
        requested:
          description: Optional requested amount or value
          type: string
        usage:
          description: Optional usage metadata for limit errors
      required:
        - error
      type: object
    PublicArtifact:
      properties:
        artifact_type:
          enum:
            - report
          example: report
          type: string
        content:
          $ref: '#/components/schemas/ArtifactDashboard'
        created_at:
          example: '2026-04-03T23:29:40.548Z'
          type: string
        expires_at:
          example: null
          type:
            - string
            - 'null'
        metadata:
          $ref: '#/components/schemas/ArtifactMetadata'
        slug:
          example: VufIWcgY0FlG
          pattern: ^[A-Za-z0-9_-]{12}$
          type: string
        title:
          example: 'BTC vs ETH: 1-Year Comparison'
          type: string
      required:
        - slug
        - artifact_type
        - title
        - content
        - metadata
        - created_at
        - expires_at
      type: object
    BillingAction:
      description: Action that resolves a billing-related rejection
      properties:
        href:
          type: string
        kind:
          enum:
            - upgrade
            - payment_method
            - spending_cap
            - billing
          type: string
        label:
          type: string
      required:
        - href
        - label
        - kind
      type: object
    ArtifactDashboard:
      properties:
        components:
          items:
            $ref: '#/components/schemas/ArtifactDashboardComponent'
          type: array
        follow_up_suggestions:
          items:
            type: string
          type: array
        metadata:
          $ref: '#/components/schemas/ArtifactDashboardMetadata'
        timestamp:
          description: ISO 8601 dashboard timestamp
          example: '2026-04-03T15:00:00.000Z'
          type:
            - string
            - 'null'
        title:
          example: 'BTC vs ETH: 1-Year Comparison'
          type: string
        type:
          example: dashboard
          type: string
      required:
        - type
        - components
      type: object
    ArtifactMetadata:
      properties:
        analysis_type:
          example: asset_comparison
          type: string
        dashboard_timestamp:
          description: ISO 8601 timestamp captured from the original dashboard, if present
          example: '2026-04-03T15:00:00.000Z'
          type:
            - string
            - 'null'
        snapshot_version:
          example: 1
          type: integer
        source_chat_id:
          example: 0b6342a4-ab5f-41b1-9772-60791177acf3
          type:
            - string
            - 'null'
        source_task_id:
          example: 1939d8d3dc31b215
          type:
            - string
            - 'null'
        symbols:
          example:
            - BTC-USD.CC
            - ETH-USD.CC
          items:
            type: string
          type: array
      required:
        - snapshot_version
      type: object
    ArtifactDashboardComponent:
      additionalProperties: {}
      type: object
    ArtifactDashboardMetadata:
      properties:
        analysis_type:
          type: string
        query:
          type: string
        symbols:
          items:
            type: string
          type: array
      type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.